@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;   
}
html{
    background: #2E2D2D;
    font-family: "Ubuntu", sans-serif;
}
header{
    width: 100%;
    height: 10vh;
    background-color: #2E2D2D;
    display: flex;
    align-items: center;
    justify-content: center;
}
.cont-logo{
    width: 100%;
    height: 5vh;
    background: #2E2D2D;
    box-shadow: 5px 5px 10px rgb(25, 25, 25),
             -5px -5px 10px rgb(25, 25, 25);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.cont-logo .line{
    width: 50%;
    height: 50%;
    background: #97F6E6;
}
.logo-img{
    width: 10vh;
    height: 10vh;
    background: #97F6E6;
    border-radius: 50%;
    border: .5rem solid #2E2D2D;
    box-shadow: 5px 5px 10px rgb(25, 25, 25),
             -5px -5px 10px rgb(25, 25, 25);
             position: absolute;
             display: flex;
             align-items: center;
             justify-content: center;
}
.span-img{
    width: 80%;
    height: 80%;
    background: #D9D7CA;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    aspect-ratio: 1;
    border: .5rem solid #2E2D2D;
}
.span-img img{
    -o-object-fit: cover;
    object-fit: cover;
    width: 110%;
    height: 110%;
    border-radius: 50%;
    border: .3 solid #000000;
}
@media screen and (max-width: 1280px) {
    header{
        width: 100%;
        height: 7.5vh;
        background-color: #2E2D2D;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .cont-logo{
        width: 100%;
        height: 2.5vh;
        background: #2E2D2D;
        box-shadow: 5px 5px 10px rgb(25, 25, 25),
                 -5px -5px 10px rgb(25, 25, 25);
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
    }
    .cont-logo .line{
        width: 50%;
        height: 50%;
        background: #97F6E6;
    }
    .logo-img{
        width: 7.5vh;
        height: 7.5vh;
        background: #97F6E6;
        border-radius: 50%;
        border: .3rem solid #2E2D2D;
        box-shadow: 5px 5px 10px rgb(25, 25, 25),
                 -5px -5px 10px rgb(25, 25, 25);
                 position: absolute;
                 display: flex;
                 align-items: center;
                 justify-content: center;
    }
    .span-img{
        width: 80%;
        height: 80%;
        background: #D9D7CA;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        aspect-ratio: 1;
        border: .3rem solid #2E2D2D;
    }
    .span-img img{
        -o-object-fit: cover;
        object-fit: cover;
        width: 110%;
        height: 110%;
        border-radius: 50%;
        border: .1 solid #000000;
    }
}
.form-section{
    width: 100%;
    height: 90vh;
    background: #2E2D2D;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* From Uiverse.io by Rohankumar620 */ 
.container {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .form {
    display: flex;
    justify-content: center;
    align-items: center;
    transform-style: preserve-3d;
    transition: all 1s ease;
  }
  
  .form .form_front {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    position: absolute;
    backface-visibility: hidden;
    padding: 65px 45px;
    border-radius: 15px;
    box-shadow: inset 2px 2px 10px rgba(0,0,0,1),
    inset -1px -1px 5px rgba(255, 255, 255, 0.6);
  }
  
  .form .form_back {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    position: absolute;
    backface-visibility: hidden;
    transform: rotateY(-180deg);
    padding: 65px 45px;
    border-radius: 15px;
    box-shadow: inset 2px 2px 10px rgba(0,0,0,1),
    inset -1px -1px 5px rgba(255, 255, 255, 0.6);
  }
  
  .form_details {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }
  .form_details h1{
    font-size: 2rem;
    color: #D9D7CA;
    text-shadow: 0 0 10px #000000,0 0 15px #000000, 0 0 20px #000000, 0 0 25px #000000, 0 0 30px #000000,0 0 35px #000000, 0 0 40px #000000, 0 0 45px #000000; 
  }
  .form_details .form_back_details{
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
  }
  .form_back_details span{
    width: 25%;
    height: 0;
    border: 1px solid #97F6E6;
    margin: 0 .5rem 0 .5rem;
  }
  .form_back_details h1{
    font-size: 2.5rem;
    color: #D9D7CA;
    text-shadow: 0 0 10px #000000,0 0 15px #000000, 0 0 20px #000000, 0 0 25px #000000, 0 0 30px #000000,0 0 35px #000000, 0 0 40px #000000, 0 0 45px #000000;
    margin: -.4rem 0 0 0;
  }
  
  .input {
    width: 245px;
    min-height: 45px;
    color: #2E2D2D;
    outline: none;
    transition: 0.35s;
    padding: 0px 7px;
    background-color: #97F6E6;
    border-radius: 6px;
    border: 2px solid #2E2D2D;
    box-shadow: 6px 6px 10px rgba(0,0,0,1),
    1px 1px 10px rgba(255, 255, 255, 0.6);
  }
  
  .input::placeholder {
    color: #2E2D2D;
  }
  
  .input:focus.input::placeholder {
    transition: 0.3s;
    opacity: 0;
  }
  
  .input:focus {
    transform: scale(1.05);
    box-shadow: 6px 6px 10px rgba(0,0,0,1),
    1px 1px 10px rgba(255, 255, 255, 0.6),
    inset 2px 2px 10px rgba(0,0,0,1),
    inset -1px -1px 5px rgba(255, 255, 255, 0.6);
  }
  
  .btn {
    padding: 10px 35px;
    cursor: pointer;
    background-color: #97F6E6;
    border-radius: 6px;
    border: 2px solid #2E2D2D;
    box-shadow: 6px 6px 10px rgba(0,0,0,1),
    1px 1px 10px rgba(255, 255, 255, 0.6);
    color: #2E2D2D;
    font-size: 15px;
    font-weight: bold;
    transition: 0.35s;
  }
  
  .btn:hover {
    transform: scale(1.05);
    box-shadow: 6px 6px 10px rgba(0,0,0,1),
    1px 1px 10px rgba(255, 255, 255, 0.6),
    inset 2px 2px 10px rgba(0,0,0,1),
    inset -1px -1px 5px rgba(255, 255, 255, 0.6);
  }
  
  .btn:focus {
    transform: scale(1.05);
    box-shadow: 6px 6px 10px rgba(0,0,0,1),
    1px 1px 10px rgba(255, 255, 255, 0.6),
    inset 2px 2px 10px rgba(0,0,0,1),
    inset -1px -1px 5px rgba(255, 255, 255, 0.6);
  }
  
  .form .switch {
    font-size: 13px;
    color: #D9D7CA;
  }
  
  .form .switch .signup_tog {
    font-weight: 700;
    cursor: pointer;
    text-decoration: underline;
    color: #97f6e6a3;
    transition: all 0.3s ease;
  }
  .form .switch .signup_tog:hover {
    color: #97f6e6;
  }
  
  .container #signup_toggle {
    display: none;
  }
  
  .container #signup_toggle:checked + .form {
    transform: rotateY(-180deg);
  }
  @media screen  and (max-width: 1280px) {
    .form-section{
        width: 100%;
        height: 70vh;
        background: #2E2D2D;
        display: flex;
        align-items: center;
        justify-content: center;
    }
  }
  .footer{
    width: 100%;
    height: 50vh;
    background: #2E2D2D;
    display: flex;
    align-items: center;
    justify-content: end;
    flex-direction: column;
}
.cont-style{
    width: 100%;
    height: auto;
    background: #2E2D2D;
    display: flex;
    align-items: center;
    justify-content: center;
    align-items: center;
    box-shadow: 5px 5px 10px rgb(25, 25, 25),
    -5px -5px 10px rgb(25, 25, 25);
    margin: 1rem 0 1rem 0;
}
.redes-sociales{
    width: 100%;
    height: auto;
    background: #97F6E6;
    display: flex;
    align-items: center;
    justify-content: center;
    align-items: center;
    margin: 1rem 0 1rem 0;
}
.redes-sociales a{
    text-decoration: none;
    margin: 1rem 1rem 1rem 1rem;
}
.redes-sociales a ion-icon{
    font-size: 2rem;
    color: #2E2D2D;
    transition: all 0.5s ease;
}
.redes-sociales a ion-icon:hover{
    scale: 1.5;
}
.footer h1{
    color: #D9D7CA;
    font-size: 3rem;
    font-weight: 900;
    margin: 2rem 0 2rem 0;
}
.footer p{
    color: #D9D7CA;
    font-size: 1.5rem;
    font-weight: 400;
    margin: 3rem 0 1rem 0;
}
.space{
    width: 100%;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.footer span{
    width: 40%;
    top: 0;
    border: .5px solid #97F6E6;
}
@media screen and (max-width: 1280px) {
    .footer{
        width: 100%;
        height: 30vh;
        background: #2E2D2D;
        display: flex;
        align-items: center;
        justify-content: end;
        flex-direction: column;
    }
    .cont-style{
        width: 100%;
        height: auto;
        background: #2E2D2D;
        display: flex;
        align-items: center;
        justify-content: center;
        align-items: center;
        box-shadow: 5px 5px 10px rgb(25, 25, 25),
        -5px -5px 10px rgb(25, 25, 25);
        margin: 1rem 0 1rem 0;
    }
    .redes-sociales{
        width: 100%;
        height: auto;
        background: #97F6E6;
        display: flex;
        align-items: center;
        justify-content: center;
        align-items: center;
        margin: 1rem 0 1rem 0;
    }
    .redes-sociales a{
        text-decoration: none;
        margin: 1rem .5rem 1rem .5rem;
    }
    .redes-sociales a ion-icon{
        font-size: 1.5rem;
        color: #2E2D2D;
        transition: all 0.5s ease;
    }
    .redes-sociales a ion-icon:hover{
        scale: 1.3;
    }
    .footer h1{
        color: #D9D7CA;
        font-size: 1.5rem;
        font-weight: 900;
        margin: 1.5rem 0 1.5rem 0;
    }
    .footer p{
        color: #D9D7CA;
        font-size: .6rem;
        font-weight: 400;
        margin: 1.5rem 0 1.5rem 0;
    }
    .space{
        width: 100%;
        top: 0;
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin: 0 0 1rem 0;
    }
    .footer span{
        width: 40%;
        top: 0;
        border: .5px solid #97F6E6;
    }
}